#
# Poker
# Enhydra Application Makefile Configuration
#
#

#
# The directory containing the Lutris distribution is set in
# DEFAULT_ENHYDRA_DIR.  If a compiled Enhydra source tree is in
# ../../Enhydra, then it will be used instead of the default.  It
# maybe necessary to modify the default.
#
#               Is this correct?
#                    |
#                    |
#                    |
#                  \ | /
#                   \|/
#                    V
DEFAULT_ENHYDRA_DIR = /usr/local/enhydra
SRC_ENHYDRA_DIR = ${ROOT}/../../../Enhydra/output

ifeq ($(ENHYDRA_DIR),)
    STAT=$(shell if test -r $(SRC_ENHYDRA_DIR)/../classes  ; then echo YES ; else echo NO; fi )
    ifeq (${STAT},YES)
      ENHYDRA_DIR=$(SRC_ENHYDRA_DIR)
      ENHYDRA_CLASSES = $(ENHYDRA_DIR)/../classes/enhydra
    else
      ENHYDRA_DIR=$(DEFAULT_ENHYDRA_DIR)
    endif
endif

#
# You may need to set other values to override the defaults, for example:
#
# JDKDIR = /usr/local/jdk1.1.5
# JSDKDIR = ...
# WAIDIR = ...  (optional)
# SWINGDIR = ...  (optional)
#
# See lib/stdrules.mk in the Enhydra installation for more
# configuration settings.
#


#
# What is the name of the jar file to create?
#
JARNAME = Poker

include $(ENHYDRA_DIR)/lib/stdrules.mk

#
# Only used if ENHYDRA_DIR is not correct.
#
$(ENHYDRA_DIR)/lib/stdrules.mk:
	@echo
	@echo "Please edit config.mk. ENHYDRA_DIR must point to your installation of Enhydra."
	@echo
